---
title: "Priority considerations for how specific vs. general objects (esp. observing systems and intermediate products) should be described in the Benefit Tool"
date: "2024-01-12"
author: "Hazel Shapiro"
status: "Proposed"
---

## Context

When adding information to the Benefit Tool, there is a persistent question about how detailed each object should be.
For instance, multiple agencies fund and run automated weather stations in Alaska. Should those be referred to as a group
and generalized as "automated weather stations" or should each agency or organization be listed separately? Does this
depend on if there is one place to download all AWS data or not?

Answering these question is complex and each evaluation presents its own set of nuanced decisions, especially around
level of specificity.

## Decision

These decisions will be made on a case-by-case basis with the 'respondents' having the final decision-making ability.
US AON staff can advise as needed.

The key factors to consider are:
* Telling the right story with an individual evaluation. For instance, in the above example,
  if all AWS stations perform at approximately the same level, it may not be important to list them individually.
* Re-usability of objects. There is a significant benefit to using the same object in multiple evaluations.
  This points to using very tangible and specific objects.
* Readability. At a certain point, including too many objects simply makes the diagram unreadable.

The above list is not ranked.
See decision record 003 for information specific to reanalysis data sets.

## Consequences

* Decisions will be nuanced and adaptable to each scenario.
* Decisions will require more time and reflection on the part of the respondents and US AON staff
  than if there was a single piece of guidance.
* US AON and it's advisors will likely have to revisit these criteria again in the future.
* Diagrams may require more nuance to interpret


## Consent

* Hazel Shapiro
* Sandy Starkweather
* Review by Expert Committee on Methods
