---
title: "Adding reanalysis datasets as objects to the Benefit Tool"
date: "2024-01-12"
author: "Hazel Shapiro"
status: "Accepted"
---

## Context

Reanaylsis datasets draw from dozens of observing inputs. They are commonly used in Arctic research, and therefore,
show up regularly in the Benefit Tool. While they are intermediate products, describing the inputs to reanalysis
data products is cumbersome, challenging, and would overcrowd an individual diagram.

## Decision

Do not list observing system or data product inputs for reanalysis datasets.

At some point, US AON may conduct an evaluation that is specific to a reanalysis dataset, but when they are being
used as an intermediate product in other evaluations, it is more distracting than helpful to list out the inputs.

## Consequences

* Diagrams will be easier to read.
* Diagrams will be missing information about how reanalysis datasets are derived.
* Diagrams will be easier to create.

## Consent

* Hazel Shapiro
* Sandy Starkweather
