{# Thinking about how this should be due to the way that it links to Benefit Tool docs #}

## {% block title %}Welcome to the US AON Benefit Tool!{% endblock %}

### Actions

* [View our library of assessments]({{ url_for("assessments.get") }}).
* [Edit or update your own assessment]({{ url_for("assessments.get") }}).
* If you'd like to create a new evaluation please email: [hazel@iarpccollaborations.org](mailto:hazel@iarpccollaborations.org)
* Our [data management plan](https://docs.google.com/document/d/13DLX3A__M60xMgFbQqk2NMAjZzahn5FZcvB3fWSVRck/edit?usp=sharing)
  includes information about how any information you add to the tool will be stored and may be shared.
* [Learn more about our Benefit Tool](https://usaon.org/evaluation-and-planning/benefit-tool).


### Introduction

The Benefit Tool illustrates links between observing systems, data products, and
applications and shows how they connect to societal benefit.
Capabilities and gaps are given numerical ratings and written descriptions throughout
the evaluation.

Ratings are given for a particular context by an individual or small team of experts
(called respondents).
They are subjective but well-informed representations of reality.
The ratings convey the input of the respondents, not US AON's assessment of a given
product or system.

Societal benefit ratings present a particular challenge because benefits are context-dependent
and often not quantifiable.
Like other Western science evaluation frameworks, the Benefit Tool struggles to depict
this nuance.
US AON is moving towards cohort ratings for societal benefit, in line with
recommendations coming out of the Arctic Observing Summit  and the US AON Expert
Committee on Methods.
However, the current version of the tool includes evaluations with more limited
assessments of societal benefits.

Individual evaluations can show the importance of critical capabilities -- be that the strength
of a long-term observing system, the value of a robust communication system, the impact of
data product improvements, or more -- or the impact of specific gaps.
As more people use the Benefit Tool, the value of the evaluations grows.
We will begin to see more systemic strengths and weaknesses in the Arctic observing
system, and opportunities to invest in systems that will have wide-reaching impacts.
